/**
 * Created by IntelliJ IDEA.
 * User: m09vav2
 * Date: 30.09.2009
 * Time: 19:13:05
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
     import java.io.*;


   public class B {
       public static void main ( String[] args) throws Exception
   {Scanner s= new Scanner(new File("ratio.in"));
   long a=s.nextLong() ;
   long b=s.nextLong() ;
   PrintWriter p= new PrintWriter(new File("ratio.out"));
   if (b!=0){p.print(a/b);}  else {p.print("V predyduschej zadache uzhe pisali, chto na nol' delit' nel'zya!!!");};
   p.close();
   }
   }


